hpp-corbaserver: _objref_Device Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_Device Class Reference

`#include <hpp/pinocchio_idl/robots-idl.hh>`

Inheritance diagram for _objref_Device:
[legend]
Collaboration diagram for _objref_Device:
[legend]

## Public Member Functions
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
char * | name ()
floatSeq * | neutralConfiguration ()
size_type | configSize ()
size_type | numberDof ()
void | integrate (const ::hpp::floatSeq &config_in, const ::hpp::floatSeq &velocity, ::hpp::floatSeq_out result)
void | difference (const ::hpp::floatSeq &q1, const ::hpp::floatSeq &q2, ::hpp::floatSeq_out result)
void | interpolate (const ::hpp::floatSeq &q1, const ::hpp::floatSeq &q2, ::CORBA::Float u, ::hpp::floatSeq_out result)
void | saturate (const ::hpp::floatSeq &qin, ::hpp::floatSeq_out qout, ::hpp::boolSeq_out saturation)
void | replaceGeometryByConvexHull (const ::hpp::Names_t &geometryNames)
floatSeq * | getCurrentConfiguration ()
::CORBA::Boolean | setCurrentConfiguration (const ::hpp::floatSeq &configuration)
floatSeq * | getCurrentVelocity ()
::CORBA::Boolean | setCurrentVelocity (const ::hpp::floatSeq &velocity)
floatSeq * | getCurrentAcceleration ()
::CORBA::Boolean | setCurrentAcceleration (const ::hpp::floatSeq &acceleration)
::CORBA::Short | computationFlag ()
void | controlComputation (::CORBA::Short flag)
void | computeForwardKinematics (::CORBA::Short computationFlag)
void | computeFramesForwardKinematics ()
void | updateGeometryPlacements ()
frame_index | getFrameByName (const char *name)
Transform__slice * | getFramePosition (::hpp::frame_index frame_id)
floatSeqSeq * | getFrameJacobian (::hpp::frame_index frame_id)
void | removeJoints (const ::hpp::Names_t &joints, const ::hpp::floatSeq &refConfig)
| _objref_Device ()
| _objref_Device (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_Device ()

## Friends
class | Device

## Constructor & Destructor Documentation

## ◆ _objref_Device() [1/2]

_objref_Device::_objref_Device | ( |  | ) |
| inline

## ◆ _objref_Device() [2/2]

_objref_Device::_objref_Device | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_Device()

virtual _objref_Device::~_objref_Device | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ computationFlag()

::CORBA::Short _objref_Device::computationFlag | ( |  | ) |

## ◆ computeForwardKinematics()

void _objref_Device::computeForwardKinematics | ( | ::CORBA::Short | computationFlag | ) |

## ◆ computeFramesForwardKinematics()

void _objref_Device::computeFramesForwardKinematics | ( |  | ) |

## ◆ configSize()

size_type _objref_Device::configSize | ( |  | ) |

## ◆ controlComputation()

void _objref_Device::controlComputation | ( | ::CORBA::Short | flag | ) |

## ◆ deleteIfExpired()

::CORBA::Boolean _objref_Device::deleteIfExpired | ( |  | ) |

## ◆ deleteThis()

void _objref_Device::deleteThis | ( |  | ) |

## ◆ difference()

void _objref_Device::difference | ( | const ::hpp::floatSeq & | q1,
|  | const ::hpp::floatSeq & | q2,
|  | ::hpp::floatSeq_out | result
| ) |  |

## ◆ getCurrentAcceleration()

floatSeq* _objref_Device::getCurrentAcceleration | ( |  | ) |

## ◆ getCurrentConfiguration()

floatSeq* _objref_Device::getCurrentConfiguration | ( |  | ) |

## ◆ getCurrentVelocity()

floatSeq* _objref_Device::getCurrentVelocity | ( |  | ) |

## ◆ getFrameByName()

frame_index _objref_Device::getFrameByName | ( | const char * | name | ) |

## ◆ getFrameJacobian()

floatSeqSeq* _objref_Device::getFrameJacobian | ( | ::hpp::frame_index | frame_id | ) |

## ◆ getFramePosition()

Transform__slice* _objref_Device::getFramePosition | ( | ::hpp::frame_index | frame_id | ) |

## ◆ integrate()

void _objref_Device::integrate | ( | const ::hpp::floatSeq & | config_in,
|  | const ::hpp::floatSeq & | velocity,
|  | ::hpp::floatSeq_out | result
| ) |  |

## ◆ interpolate()

void _objref_Device::interpolate | ( | const ::hpp::floatSeq & | q1,
|  | const ::hpp::floatSeq & | q2,
|  | ::CORBA::Float | u,
|  | ::hpp::floatSeq_out | result
| ) |  |

## ◆ name()

char* _objref_Device::name | ( |  | ) |

## ◆ neutralConfiguration()

floatSeq* _objref_Device::neutralConfiguration | ( |  | ) |

## ◆ numberDof()

size_type _objref_Device::numberDof | ( |  | ) |

## ◆ persistantStorage()

void _objref_Device::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## ◆ removeJoints()

void _objref_Device::removeJoints | ( | const ::hpp::Names_t & | joints,
|  | const ::hpp::floatSeq & | refConfig
| ) |  |

## ◆ replaceGeometryByConvexHull()

void _objref_Device::replaceGeometryByConvexHull | ( | const ::hpp::Names_t & | geometryNames | ) |

## ◆ saturate()

void _objref_Device::saturate | ( | const ::hpp::floatSeq & | qin,
|  | ::hpp::floatSeq_out | qout,
|  | ::hpp::boolSeq_out | saturation
| ) |  |

## ◆ setCurrentAcceleration()

::CORBA::Boolean _objref_Device::setCurrentAcceleration | ( | const ::hpp::floatSeq & | acceleration | ) |

## ◆ setCurrentConfiguration()

::CORBA::Boolean _objref_Device::setCurrentConfiguration | ( | const ::hpp::floatSeq & | configuration | ) |

## ◆ setCurrentVelocity()

::CORBA::Boolean _objref_Device::setCurrentVelocity | ( | const ::hpp::floatSeq & | velocity | ) |

## ◆ updateGeometryPlacements()

void _objref_Device::updateGeometryPlacements | ( |  | ) |

## Friends And Related Function Documentation

## ◆ Device

friend class Device
| friend

The documentation for this class was generated from the following file:

- src/hpp/pinocchio_idl/robots-idl.hh